"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_native_1 = require("@testing-library/react-native");
var _1 = require(".");
require("jest-styled-components");
var react_native_2 = require("react-native");
function ComponentMock() {
    var openModal = function () {
        _1.Alert.show({
            title: 'Hello, how are you?',
            message: 'Welcome, click the confirm button to win a bonus!',
            buttons: [
                {
                    text: 'Cancel',
                    bgColor: '#bbb',
                    onPress: function () {
                        console.log('sdds');
                    },
                },
                {
                    text: 'Confirm',
                    bgColor: '#222',
                    onPress: function () {
                        console.log('sdds');
                    },
                },
            ],
        });
    };
    return (react_1.default.createElement(react_native_2.View, { style: { padding: 10 } },
        react_1.default.createElement(react_native_2.Button, { title: "Open Alert", onPress: function () { return openModal(); }, testID: "btn" }),
        react_1.default.createElement(_1.Alert, null)));
}
it('snapshot - open/close', function () {
    var _a = react_native_1.render(react_1.default.createElement(ComponentMock, null)), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
    react_native_1.fireEvent.press(getByTestId('btn'));
    expect(toJSON()).toMatchSnapshot();
    react_native_1.fireEvent.press(getByTestId('background-alert'));
    expect(toJSON()).toMatchSnapshot();
});
it('onPress', function () {
    var onPress = jest.fn();
    var onPress2 = jest.fn();
    function ComponentMock2() {
        var openModal = function () {
            _1.Alert.show({
                title: 'Hello, how are you?',
                message: 'Welcome, click the confirm button to win a bonus!',
                buttons: [
                    {
                        text: 'Cancel',
                        bgColor: '#bbb',
                        onPress: onPress,
                    },
                    {
                        text: 'Confirm',
                        bgColor: '#222',
                        onPress: onPress2,
                    },
                ],
            });
        };
        return (react_1.default.createElement(react_native_2.View, { style: { padding: 10 } },
            react_1.default.createElement(react_native_2.Button, { title: "Open Alert", onPress: function () { return openModal(); }, testID: "btn" }),
            react_1.default.createElement(_1.Alert, null)));
    }
    var _a = react_native_1.render(react_1.default.createElement(ComponentMock2, null)), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
    react_native_1.fireEvent.press(getByTestId('btn'));
    expect(toJSON()).toMatchSnapshot();
    react_native_1.fireEvent.press(getByTestId('alert-btn-1'));
    expect(onPress2).toHaveBeenCalled();
    expect(onPress2).toHaveBeenCalledWith();
    expect(onPress).toHaveBeenCalledTimes(0);
});
//# sourceMappingURL=Alert.spec.native.js.map