"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var react_native_1 = require("react-native");
var react_native_2 = require("@storybook/react-native");
var rxjs_1 = require("rxjs");
var TextNative_1 = require("../TextNative");
var AutocompleteFullscreen_1 = require("./AutocompleteFullscreen");
var fetchGroupMock = function () {
    return new rxjs_1.Observable(function (observable) {
        setTimeout(function () {
            observable.next([
                { disabled: true, name: 'Bairro', title: true },
                { name: 'Mogi das cruzes' },
                { name: 'Suzano' },
                { disabled: true, name: 'Cidade', title: true },
                { name: 'São Paulo' },
                { name: 'Suzano' },
                { name: 'Guarulhos' },
            ]);
            observable.complete();
            observable.unsubscribe();
        }, 100);
    });
};
var fetchMockNotFound = function () {
    return new rxjs_1.Observable(function (observable) {
        setTimeout(function () {
            observable.next([]);
            observable.complete();
            observable.unsubscribe();
        }, 100);
    });
};
var fetchMockError = function () {
    return new rxjs_1.Observable(function (observable) {
        setTimeout(function () {
            observable.error();
            observable.complete();
            observable.unsubscribe();
        }, 100);
    });
};
react_native_2.storiesOf('AutocompleteFullscreen', module)
    .add('default', function () {
    function Stub() {
        var _a = react_1.useState(false), openModal = _a[0], setOpenModal = _a[1];
        function onClose() {
            setOpenModal(false);
        }
        return (react_1.default.createElement(react_native_1.View, { style: { flex: 1, padding: 20 } },
            react_1.default.createElement(react_native_1.Button, { title: "Open auto complete", onPress: function () { return setOpenModal(true); } }),
            react_1.default.createElement(AutocompleteFullscreen_1.AutocompleteFullscreen, { show: openModal, fetch: fetchGroupMock, name: "autocomplete", title: "Autocomplete", onSelect: function (i) {
                    console.log(i);
                }, onClose: onClose, renderInput: function (item) { return (react_1.default.createElement(react_native_1.View, { style: { paddingVertical: 10, paddingHorizontal: 25 } },
                    react_1.default.createElement(TextNative_1.TextNative, { color: item.title ? '#999' : null }, item.name))); }, initialValue: [
                    { disabled: true, name: 'Bairro', title: true },
                    { name: 'Mogi das cruzes' },
                    { name: 'Suzano' },
                    { disabled: true, name: 'Cidade', title: true },
                    { name: 'São Paulo' },
                    { name: 'Suzano' },
                    { name: 'Guarulhos' },
                ] })));
    }
    return react_1.default.createElement(Stub, null);
})
    .add('not found', function () {
    function Stub() {
        var _a = react_1.useState(false), openModal = _a[0], setOpenModal = _a[1];
        function onClose() {
            setOpenModal(false);
        }
        return (react_1.default.createElement(react_native_1.View, { style: { flex: 1, padding: 20 } },
            react_1.default.createElement(react_native_1.Button, { title: "Open auto complete", onPress: function () { return setOpenModal(true); } }),
            react_1.default.createElement(AutocompleteFullscreen_1.AutocompleteFullscreen, { show: openModal, fetch: fetchMockNotFound, name: "autocomplete", title: "Autocomplete", onSelect: function (i) {
                    console.log(i);
                }, onClose: onClose, renderInput: function (item) { return (react_1.default.createElement(react_native_1.View, { style: { paddingVertical: 10, paddingHorizontal: 25 } },
                    react_1.default.createElement(TextNative_1.TextNative, { color: item.title ? '#999' : null }, item.name))); } })));
    }
    return react_1.default.createElement(Stub, null);
})
    .add('request error', function () {
    function Stub() {
        var _a = react_1.useState(false), openModal = _a[0], setOpenModal = _a[1];
        function onClose() {
            setOpenModal(false);
        }
        return (react_1.default.createElement(react_native_1.View, { style: { flex: 1, padding: 20 } },
            react_1.default.createElement(react_native_1.Button, { title: "Open auto complete", onPress: function () { return setOpenModal(true); } }),
            react_1.default.createElement(AutocompleteFullscreen_1.AutocompleteFullscreen, { show: openModal, fetch: fetchMockError, name: "autocomplete", title: "Autocomplete", onSelect: function (i) {
                    console.log(i);
                }, onClose: onClose, renderInput: function (item) { return (react_1.default.createElement(react_native_1.View, { style: { paddingVertical: 10, paddingHorizontal: 25 } },
                    react_1.default.createElement(TextNative_1.TextNative, { color: item.title ? '#999' : null }, item.name))); } })));
    }
    return react_1.default.createElement(Stub, null);
})
    .add('with multiselection', function () {
    function Stub() {
        var _a = react_1.useState(false), openModal = _a[0], setOpenModal = _a[1];
        function onClose() {
            setOpenModal(false);
        }
        return (react_1.default.createElement(react_native_1.View, { style: { flex: 1, padding: 20 } },
            react_1.default.createElement(react_native_1.Button, { title: "Open auto complete", onPress: function () { return setOpenModal(true); } }),
            react_1.default.createElement(AutocompleteFullscreen_1.AutocompleteFullscreen, { show: openModal, fetch: fetchGroupMock, name: "autocomplete", title: "Autocomplete", onSelect: function (result) {
                    console.log(result);
                }, multiSelection: true, onClose: onClose, renderItemSelected: function (item) { return (react_1.default.createElement(react_native_1.View, { style: {
                        margin: 5,
                        paddingVertical: 10,
                        paddingHorizontal: 15,
                        backgroundColor: 'black',
                        borderRadius: 200,
                    } },
                    react_1.default.createElement(TextNative_1.TextNative, { color: "white", size: 14 }, item.name))); }, renderInput: function (item, checked) { return (react_1.default.createElement(react_native_1.View, { style: {
                        paddingVertical: 10,
                        paddingHorizontal: 25,
                        backgroundColor: checked ? 'rgba(0,250,0,0.1)' : null,
                    } },
                    react_1.default.createElement(TextNative_1.TextNative, { color: item.title ? '#999' : null }, item.name))); }, initialValue: [
                    { disabled: true, name: 'Bairro', title: true },
                    { id: 1, name: 'Mogi das cruzes' },
                    { id: 2, name: 'Suzano' },
                    { disabled: true, name: 'Cidade', title: true },
                    { id: 3, name: 'São Paulo' },
                    { id: 4, name: 'Suzano' },
                    { id: 5, name: 'Guarulhos' },
                ] })));
    }
    return react_1.default.createElement(Stub, null);
})
    .add('with multiselection initial select', function () {
    function Stub() {
        var _a = react_1.useState(false), openModal = _a[0], setOpenModal = _a[1];
        function onClose() {
            setOpenModal(false);
        }
        return (react_1.default.createElement(react_native_1.View, { style: { flex: 1, padding: 20 } },
            react_1.default.createElement(react_native_1.Button, { title: "Open auto complete", onPress: function () { return setOpenModal(true); } }),
            react_1.default.createElement(AutocompleteFullscreen_1.AutocompleteFullscreen, { show: openModal, fetch: fetchGroupMock, name: "autocomplete", title: "Autocomplete", onSelect: function (result) {
                    console.log(result);
                }, multiSelection: true, onClose: onClose, renderItemSelected: function (item) { return (react_1.default.createElement(react_native_1.View, { style: {
                        margin: 5,
                        paddingVertical: 10,
                        paddingHorizontal: 15,
                        backgroundColor: 'black',
                        borderRadius: 200,
                    } },
                    react_1.default.createElement(TextNative_1.TextNative, { color: "white", size: 14 }, item.name))); }, renderInput: function (item, checked) { return (react_1.default.createElement(react_native_1.View, { style: {
                        paddingVertical: 10,
                        paddingHorizontal: 25,
                        backgroundColor: checked ? 'rgba(0,250,0,0.1)' : null,
                    } },
                    react_1.default.createElement(TextNative_1.TextNative, { color: item.title ? '#999' : null }, item.name))); }, initialSelect: [
                    { id: 1, name: 'Mogi das cruzes' },
                    { id: 4, name: 'Suzano' },
                ], initialValue: [
                    { disabled: true, name: 'Bairro', title: true },
                    { id: 1, name: 'Mogi das cruzes' },
                    { id: 2, name: 'Suzano' },
                    { disabled: true, name: 'Cidade', title: true },
                    { id: 3, name: 'São Paulo' },
                    { id: 4, name: 'Suzano' },
                    { id: 5, name: 'Guarulhos' },
                ] })));
    }
    return react_1.default.createElement(Stub, null);
});
//# sourceMappingURL=AutocompleteFullscreen.stories.native.js.map