"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_native_1 = require("@testing-library/react-native");
var _1 = require(".");
it('snapshot - variant', function () {
    var _a = react_native_1.render(react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(_1.Button, { variant: "primary" }, "Primary"),
        react_1.default.createElement(_1.Button, { variant: "secondary" }, "Secondary"),
        react_1.default.createElement(_1.Button, { variant: "success" }, "Success"),
        react_1.default.createElement(_1.Button, { variant: "warning" }, "Warning"),
        react_1.default.createElement(_1.Button, { variant: "danger" }, "Danger"),
        react_1.default.createElement(_1.Button, { variant: "info" }, "Info"),
        react_1.default.createElement(_1.Button, { variant: "light" }, "Light"),
        react_1.default.createElement(_1.Button, { variant: "dark" }, "Dark"),
        react_1.default.createElement(_1.Button, { variant: "link" }, "Link"))), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - size', function () {
    var _a = react_native_1.render(react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(_1.Button, { size: "sm" }, "Small"),
        react_1.default.createElement(_1.Button, { size: "md" }, "Medium"),
        react_1.default.createElement(_1.Button, { size: "lg" }, "Large"))), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - outline', function () {
    var _a = react_native_1.render(react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(_1.Button, { outline: true }, "Primary"))), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - rounded', function () {
    var _a = react_native_1.render(react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(_1.Button, { rounded: true }, "Primary"))), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
});
it('testar onClick', function (done) {
    function handleClick() {
        done();
    }
    react_native_1.render(react_1.default.createElement(_1.Button, { onClick: handleClick, "data-testid": "btn" }));
    var _a = react_native_1.render(react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(_1.Button, { onPress: handleClick, testID: "btn" }, "Primary"))), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    react_native_1.fireEvent.press(getByTestId('btn'));
});
//# sourceMappingURL=button.spec.native.js.map