"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var react_native_1 = require("react-native");
var react_native_2 = require("@testing-library/react-native");
var mobile_1 = require("@unform/mobile");
var _1 = require(".");
var options = [
    { name: 'Eren', value: 'Eren' },
    { name: 'Levi', value: 'Levi' },
    { name: 'Rainer', value: 'Rainer' },
    { name: 'Falco', value: 'Falco' },
];
it('snapshot - default', function () {
    function Component() {
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function () { } },
            react_1.default.createElement(_1.ButtonsGroup, { name: "default", options: options })));
    }
    var toJSON = react_native_2.render(react_1.default.createElement(Component, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - com titulo', function () {
    function Component() {
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function () { } },
            react_1.default.createElement(_1.ButtonsGroup, { name: "default", title: "ButtonGroup", options: options })));
    }
    var toJSON = react_native_2.render(react_1.default.createElement(Component, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - valor inicial', function () {
    function Component() {
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function () { }, initialData: { default: 'Rainer' } },
            react_1.default.createElement(_1.ButtonsGroup, { name: "default", options: options, title: "Characters" })));
    }
    var toJSON = react_native_2.render(react_1.default.createElement(Component, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - valor inicial com multiSelection', function () {
    function Component() {
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function () { }, initialData: { default: ['Rainer', 'Falco'] } },
            react_1.default.createElement(_1.ButtonsGroup, { name: "default", options: options, title: "Characters", multiSelection: true })));
    }
    var toJSON = react_native_2.render(react_1.default.createElement(Component, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('onSubmit - padrão', function () {
    var onSubmit = jest.fn();
    function Component() {
        var formRef = react_1.useRef();
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function (data) { return onSubmit(data); }, ref: formRef },
            react_1.default.createElement(_1.ButtonsGroup, { name: "buttons", options: options, title: "Characters" }),
            react_1.default.createElement(react_native_1.Button, { testID: "submit", title: "Submit", onPress: function () {
                    formRef.current.submitForm();
                } })));
    }
    var _a = react_native_2.render(react_1.default.createElement(Component, null)), toJSON = _a.toJSON, getByTestId = _a.getByTestId, queryByTestId = _a.queryByTestId;
    react_native_2.fireEvent.press(getByTestId('button-Levi'));
    react_native_2.fireEvent.press(getByTestId('button-Rainer'));
    react_native_2.fireEvent.press(getByTestId('button-Rainer'));
    react_native_2.fireEvent.press(getByTestId('submit'));
    expect(onSubmit).toHaveBeenCalled();
    expect(onSubmit).toHaveBeenCalledWith({
        buttons: 'Rainer',
    });
});
it('onSubmit - multiSelection', function () {
    var onSubmit = jest.fn();
    function Component() {
        var formRef = react_1.useRef();
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function (data) { return onSubmit(data); }, ref: formRef },
            react_1.default.createElement(_1.ButtonsGroup, { name: "buttons", options: options, title: "Characters", multiSelection: true }),
            react_1.default.createElement(react_native_1.Button, { testID: "submit", title: "Submit", onPress: function () {
                    formRef.current.submitForm();
                } })));
    }
    var _a = react_native_2.render(react_1.default.createElement(Component, null)), toJSON = _a.toJSON, getByTestId = _a.getByTestId, queryByTestId = _a.queryByTestId;
    react_native_2.fireEvent.press(getByTestId('button-Levi'));
    react_native_2.fireEvent.press(getByTestId('button-Falco'));
    react_native_2.fireEvent.press(getByTestId('button-Rainer'));
    react_native_2.fireEvent.press(getByTestId('button-Falco'));
    react_native_2.fireEvent.press(getByTestId('submit'));
    expect(onSubmit).toHaveBeenCalled();
    expect(onSubmit).toHaveBeenCalledWith({
        buttons: ['Levi', 'Rainer'],
    });
});
it('onSubmit - allowEmpty', function () {
    var onSubmit = jest.fn();
    function Component() {
        var formRef = react_1.useRef();
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function (data) { return onSubmit(data); }, ref: formRef },
            react_1.default.createElement(_1.ButtonsGroup, { name: "buttons", options: options, title: "Characters", allowEmpty: true }),
            react_1.default.createElement(react_native_1.Button, { testID: "submit", title: "Submit", onPress: function () {
                    formRef.current.submitForm();
                } })));
    }
    var _a = react_native_2.render(react_1.default.createElement(Component, null)), toJSON = _a.toJSON, getByTestId = _a.getByTestId, queryByTestId = _a.queryByTestId;
    react_native_2.fireEvent.press(getByTestId('button-Levi'));
    react_native_2.fireEvent.press(getByTestId('button-Rainer'));
    react_native_2.fireEvent.press(getByTestId('button-Rainer'));
    react_native_2.fireEvent.press(getByTestId('submit'));
    expect(onSubmit).toHaveBeenCalled();
    expect(onSubmit).toHaveBeenCalledWith({
        buttons: null,
    });
});
it('onSubmit - padrão com valor inicial', function () {
    var onSubmit = jest.fn();
    function Component() {
        var formRef = react_1.useRef();
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function (data) { return onSubmit(data); }, initialData: { buttons: 'Rainer' }, ref: formRef },
            react_1.default.createElement(_1.ButtonsGroup, { name: "buttons", options: options, title: "Characters" }),
            react_1.default.createElement(react_native_1.Button, { testID: "submit", title: "Submit", onPress: function () {
                    formRef.current.submitForm();
                } })));
    }
    var _a = react_native_2.render(react_1.default.createElement(Component, null)), toJSON = _a.toJSON, getByTestId = _a.getByTestId, queryByTestId = _a.queryByTestId;
    react_native_2.fireEvent.press(getByTestId('submit'));
    expect(onSubmit).toHaveBeenCalled();
    expect(onSubmit).toHaveBeenCalledWith({
        buttons: 'Rainer',
    });
});
it('onSubmit - multiSelection com valor inicial', function () {
    var onSubmit = jest.fn();
    function Component() {
        var formRef = react_1.useRef();
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function (data) { return onSubmit(data); }, initialData: { buttons: ['Levi', 'Rainer'] }, ref: formRef },
            react_1.default.createElement(_1.ButtonsGroup, { name: "buttons", options: options, title: "Characters", multiSelection: true }),
            react_1.default.createElement(react_native_1.Button, { testID: "submit", title: "Submit", onPress: function () {
                    formRef.current.submitForm();
                } })));
    }
    var _a = react_native_2.render(react_1.default.createElement(Component, null)), toJSON = _a.toJSON, getByTestId = _a.getByTestId, queryByTestId = _a.queryByTestId;
    react_native_2.fireEvent.press(getByTestId('submit'));
    expect(onSubmit).toHaveBeenCalled();
    expect(onSubmit).toHaveBeenCalledWith({
        buttons: ['Levi', 'Rainer'],
    });
});
//# sourceMappingURL=ButtonGroup.spec.native.js.map