"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var react_native_1 = require("@testing-library/react-native");
var mobile_1 = require("@unform/mobile");
var _1 = require(".");
it('renderizar default', function () {
    function Component() {
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function () { } },
            react_1.default.createElement(_1.Checkbox, { name: "default", title: "Checkbox" })));
    }
    var toJSON = react_native_1.render(react_1.default.createElement(Component, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('renderizar with color', function () {
    function Component() {
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function () { }, initialData: { checkbox: true } },
            react_1.default.createElement(_1.Checkbox, { name: "checkbox", title: "Checkbox", color: "orange" })));
    }
    var toJSON = react_native_1.render(react_1.default.createElement(Component, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('renderizar with object value', function () {
    function Component() {
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(mobile_1.Form, { onSubmit: function () { }, initialData: { checkbox: { id: 1 } } },
                react_1.default.createElement(_1.Checkbox, { name: "checkbox", title: "Checkbox", color: "red", value: { id: 1 } })),
            react_1.default.createElement(mobile_1.Form, { onSubmit: function () { }, initialData: { checkbox: { id: 2 } } },
                react_1.default.createElement(_1.Checkbox, { name: "checkbox", title: "Checkbox", color: "red", value: { id: 1 } }))));
    }
    var toJSON = react_native_1.render(react_1.default.createElement(Component, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('renderizar with object value async', function () {
    function Component() {
        var formRef = react_1.useRef();
        react_1.useEffect(function () {
            formRef.current.setFieldValue('checkbox', { id: 1 });
        }, []);
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function () { }, initialData: { checkbox: { id: 2 } }, ref: formRef },
            react_1.default.createElement(_1.Checkbox, { name: "checkbox", title: "Checkbox", color: "red", value: { id: 1 } })));
    }
    var toJSON = react_native_1.render(react_1.default.createElement(Component, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('renderizar with error', function () {
    function Component() {
        var formRef = react_1.useRef();
        react_1.useEffect(function () {
            formRef.current.setFieldError('checkbox', 'Field is required');
        }, []);
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function () { }, initialData: { checkbox: { id: 2 } }, ref: formRef },
            react_1.default.createElement(_1.Checkbox, { name: "checkbox", title: "Checkbox", color: "red", value: { id: 1 } })));
    }
    var _a = react_native_1.render(react_1.default.createElement(Component, null)), toJSON = _a.toJSON, queryByTestId = _a.queryByTestId;
    expect(toJSON()).toMatchSnapshot();
    expect(queryByTestId('checkbox-error')).not.toBeNull();
});
//# sourceMappingURL=Checkbox.spec.native.js.map