"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var react_native_fontawesome_1 = require("@fortawesome/react-native-fontawesome");
var react_native_1 = require("@testing-library/react-native");
var NavActions_1 = require("./NavActions");
var actions = [
    {
        id: 'star',
        item: react_1.default.createElement(react_native_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faStar, color: "white" }),
        onPress: function () { },
    },
    {
        id: 'unstar',
        item: react_1.default.createElement(react_native_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faStar, color: "white" }),
        onPress: function () { },
    },
    {
        id: 'delete',
        item: react_1.default.createElement(react_native_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faTrashAlt, color: "white" }),
        onPress: function () { },
    },
];
it('renderizar NavActions padrão', function () {
    var toJSON = react_native_1.render(react_1.default.createElement(NavActions_1.NavActions, { actions: actions, onUnselectAll: function () { }, selected: 0 })).toJSON;
    expect(toJSON).toMatchSnapshot();
});
it('renderizar NavActions com número no select', function () {
    var toJSON = react_native_1.render(react_1.default.createElement(NavActions_1.NavActions, { actions: actions, onUnselectAll: function () { }, selected: 10 })).toJSON;
    expect(toJSON).toMatchSnapshot();
});
it('testar onUnselectAll', function (done) {
    function onUnselectAll() {
        done();
    }
    var getByTestId = react_native_1.render(react_1.default.createElement(NavActions_1.NavActions, { actions: actions, onUnselectAll: onUnselectAll, selected: 10 })).getByTestId;
    react_native_1.fireEvent.press(getByTestId('deselect'));
});
//# sourceMappingURL=NavActions.spec.native.js.map