"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var react_native_fontawesome_1 = require("@fortawesome/react-native-fontawesome");
var react_native_1 = require("@testing-library/react-native");
var _1 = require(".");
it('snapshot - default', function () {
    var _a = react_native_1.render(react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(_1.NavigationBar, { title: "NavigationBar Title", goBack: function () { } }))), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - with menu icon', function () {
    var _a = react_native_1.render(react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(_1.NavigationBar, { title: "NavigationBar Title", openMenu: function () { } }))), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - with big text', function () {
    var _a = react_native_1.render(react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(_1.NavigationBar, { title: "NavigationBar Title NavigationBar Title NavigationBar Title NavigationBar Title", openMenu: function () { } }))), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - with colors', function () {
    var _a = react_native_1.render(react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(_1.NavigationBar, { title: "NavigationBar Title", color: "rgba(255,255,255,0.8)", openMenu: function () { }, background: "crimson" }))), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - icons actions', function () {
    var _a = react_native_1.render(react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(_1.NavigationBar, { title: "NavigationBar Title", color: "rgba(255,255,255,0.8)", openMenu: function () { }, background: "crimson", actionsButtons: [
                {
                    render: react_1.default.createElement(react_native_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faBars, color: "white" }),
                    onPress: function () { },
                },
                {
                    render: react_1.default.createElement(react_native_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faAddressBook, color: "white" }),
                    onPress: function () { },
                },
            ] }))), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
});
it('goBack', function () {
    var onPress = jest.fn();
    var getByTestId = react_native_1.render(react_1.default.createElement(_1.NavigationBar, { title: "NavigationBar Title", goBack: onPress })).getByTestId;
    react_native_1.fireEvent.press(getByTestId('btn-menu-drawer'));
    expect(onPress).toHaveBeenCalled();
    expect(onPress).toHaveBeenCalledWith();
});
it('openMenu', function () {
    var onPress = jest.fn();
    var getByTestId = react_native_1.render(react_1.default.createElement(_1.NavigationBar, { title: "NavigationBar Title", openMenu: onPress })).getByTestId;
    react_native_1.fireEvent.press(getByTestId('btn-menu-drawer'));
    expect(onPress).toHaveBeenCalled();
    expect(onPress).toHaveBeenCalledWith();
});
it('onPress action button', function () {
    var onPress = jest.fn();
    var getByTestId = react_native_1.render(react_1.default.createElement(_1.NavigationBar, { title: "NavigationBar Title", openMenu: function () { }, actionsButtons: [
            {
                render: react_1.default.createElement(react_native_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faBars, color: "white" }),
                onPress: function () { },
            },
            {
                render: react_1.default.createElement(react_native_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faAddressBook, color: "white" }),
                onPress: onPress,
            },
        ] })).getByTestId;
    react_native_1.fireEvent.press(getByTestId('nav-action-btn-1'));
    expect(onPress).toHaveBeenCalled();
    expect(onPress).toHaveBeenCalledWith();
});
//# sourceMappingURL=NavigationBar.spec.native.js.map