"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CardsListingContainer = void 0;
var react_1 = __importStar(require("react"));
var react_native_1 = require("react-native");
var native_1 = require("../../../PageListingError/native");
var native_2 = require("../../../PageListingNotFound/native");
function CardsListingContainer(props) {
    var _a;
    var renderResource = props.renderResource, renderResourceSkeleton = props.renderResourceSkeleton, viewList = props.viewList, animateScrollY = props.animateScrollY, paddingScroll = props.paddingScroll, scrollListingRef = props.scrollListingRef, scrollPosRef = props.scrollPosRef, animatedNavActions = props.animatedNavActions, navActions = props.navActions;
    var resourcesTotal = viewList.resourcesTotal, registerOnSearch = viewList.registerOnSearch, skeletonResources = viewList.skeletonResources, setPage = viewList.setPage, filters = viewList.filters, starting = viewList.starting, searching = viewList.searching, resources = viewList.resources, reloadPage = viewList.reloadPage, errorLoadData = viewList.errorLoadData, limit = viewList.limit;
    var changePage = react_1.useCallback(function (page) {
        setPage(page);
    }, []);
    var currentPage = ((_a = filters.offset) !== null && _a !== void 0 ? _a : 0) / limit + 1;
    var showCardsSkeleton = starting || searching;
    var showPageError = errorLoadData;
    var showCards = !starting && !searching && resources && !showPageError;
    var contentContainerStyle = react_1.useMemo(function () { return ({
        paddingBottom: 10,
    }); }, [paddingScroll]);
    var keyExtractor = react_1.useCallback(function (item, index) { return "card-" + item.id; }, []);
    var renderItemFlatList = react_1.useCallback(function (item) { return renderResource(item.item, item.index); }, [renderResource]);
    var keyExtractorSkeleton = react_1.useCallback(function (item, index) { return "card-skeleton-" + index; }, []);
    var renderItemFlatListSkeleton = react_1.useCallback(function (item) { return renderResourceSkeleton(item.item, item.index); }, [
        renderResourceSkeleton,
    ]);
    return (react_1.default.createElement(react_native_1.View, { style: { flex: 1 } },
        showPageError && (react_1.default.createElement(react_native_1.View, { style: {
                flex: 1,
                justifyContent: 'center',
                alignItems: 'center',
                flexGrow: 1,
                paddingTop: paddingScroll,
            } },
            react_1.default.createElement(react_native_1.View, { style: { flexDirection: 'row' } },
                react_1.default.createElement(react_native_1.ScrollView, null,
                    react_1.default.createElement(native_1.PageErrorLoad, { retry: reloadPage }))))),
        showCards && resources.length === 0 && (react_1.default.createElement(react_native_1.View, { style: {
                flex: 1,
                justifyContent: 'center',
                alignItems: 'center',
                flexGrow: 1,
                paddingTop: paddingScroll,
            } },
            react_1.default.createElement(react_native_1.View, { style: { flexDirection: 'row' } },
                react_1.default.createElement(react_native_1.ScrollView, null,
                    react_1.default.createElement(native_2.PageListingNotFound, null))))),
        showCards && resources.length !== 0 && (react_1.default.createElement(react_native_1.Animated.FlatList, { scrollEventThrottle: 16, ref: scrollListingRef, contentContainerStyle: contentContainerStyle, bounces: false, showsVerticalScrollIndicator: false, onScroll: react_native_1.Animated.event([{ nativeEvent: { contentOffset: { y: animateScrollY } } }], {
                useNativeDriver: true,
                listener: function (event) {
                    scrollPosRef.current = event.nativeEvent.contentOffset.y;
                },
            }), renderItem: renderItemFlatList, keyExtractor: keyExtractor, data: resources })),
        showCardsSkeleton && (react_1.default.createElement(react_native_1.Animated.FlatList, { contentContainerStyle: contentContainerStyle, renderItem: renderItemFlatListSkeleton, keyExtractor: keyExtractorSkeleton, data: skeletonResources, scrollEnabled: false }))));
}
exports.CardsListingContainer = CardsListingContainer;
//# sourceMappingURL=CardsListingContainer.js.map