"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomFlatList = void 0;
var react_1 = __importStar(require("react"));
var react_native_1 = require("react-native");
var react_native_gesture_handler_1 = require("react-native-gesture-handler");
var recyclerlistview_1 = require("recyclerlistview");
var Pressable_1 = require("../../Pressable");
var ViewTypes = {
    FULL: 0,
    HALF_LEFT: 1,
    HALF_RIGHT: 2,
};
function CustomFlatList(props) {
    var scrollRef = react_1.useRef();
    var animationDecayEvent = react_1.useRef();
    var scrollPosRelative = react_1.useRef(0);
    var panGestureHandlertranslateY = react_1.useRef(new react_native_1.Animated.Value(0)).current;
    var animationDecay = react_1.useRef(new react_native_1.Animated.Value(0)).current;
    var onGestureEvent = react_native_1.Animated.event([
        {
            nativeEvent: {
                translationY: panGestureHandlertranslateY,
            },
        },
    ], {
        useNativeDriver: true,
    });
    react_1.useEffect(function () {
        var id = panGestureHandlertranslateY.addListener(function (value) {
            var _a, _b, _c;
            var offset = value.value * -1;
            (_c = (_b = (_a = scrollRef === null || scrollRef === void 0 ? void 0 : scrollRef.current) === null || _a === void 0 ? void 0 : _a._scrollComponent) === null || _b === void 0 ? void 0 : _b._scrollViewRef) === null || _c === void 0 ? void 0 : _c.scrollTo({
                x: 1,
                y: offset,
                animated: false,
            });
        });
    }, []);
    var onHandlerStateChange = function (event) {
        var _a;
        var _b = event.nativeEvent, translationY = _b.translationY, velocityY = _b.velocityY, y = _b.y;
        if (event.nativeEvent.oldState === react_native_gesture_handler_1.State.UNDETERMINED) {
            (_a = animationDecayEvent === null || animationDecayEvent === void 0 ? void 0 : animationDecayEvent.current) === null || _a === void 0 ? void 0 : _a.stop();
        }
        if (event.nativeEvent.oldState === react_native_gesture_handler_1.State.ACTIVE) {
            animationDecayEvent.current = react_native_1.Animated.decay(animationDecay, {
                velocity: velocityY / 1000,
                deceleration: 0.997,
                useNativeDriver: true,
            });
            animationDecayEvent.current.start();
        }
    };
    var width = react_native_1.Dimensions.get('window').width;
    function generateArray(n) {
        var arr = new Array(n);
        for (var i = 0; i < n; i++) {
            arr[i] = i;
        }
        return arr;
    }
    var dataProvider = new recyclerlistview_1.DataProvider(function (r1, r2) {
        return r1 !== r2;
    }).cloneWithRows(generateArray(300));
    var layoutProvider = new recyclerlistview_1.LayoutProvider(function (index) {
        if (index % 3 === 0) {
            return ViewTypes.FULL;
        }
        if (index % 3 === 1) {
            return ViewTypes.HALF_LEFT;
        }
        return ViewTypes.HALF_RIGHT;
    }, function (type, dim) {
        switch (type) {
            case ViewTypes.HALF_LEFT:
                dim.width = width / 2 - 0.0001;
                dim.height = 160;
                break;
            case ViewTypes.HALF_RIGHT:
                dim.width = width / 2;
                dim.height = 160;
                break;
            case ViewTypes.FULL:
                dim.width = width;
                dim.height = 140;
                break;
            default:
                dim.width = 0;
                dim.height = 0;
        }
    });
    var scroll = react_1.useRef(new react_native_1.Animated.Value(0)).current;
    var d = react_1.useRef();
    react_1.useEffect(function () {
    }, []);
    return (react_1.default.createElement(react_native_gesture_handler_1.PanGestureHandler, { maxPointers: 1, onGestureEvent: onGestureEvent, onHandlerStateChange: onHandlerStateChange },
        react_1.default.createElement(react_native_1.Animated.View, { style: { flex: 1, width: '100%', height: '100%', position: 'absolute' } },
            react_1.default.createElement(recyclerlistview_1.RecyclerListView, { ref: scrollRef, layoutProvider: layoutProvider, dataProvider: dataProvider, rowRenderer: rowRenderer }))));
}
exports.CustomFlatList = CustomFlatList;
var containerCount = 0;
var CellContainer = (function (_super) {
    __extends(CellContainer, _super);
    function CellContainer(args) {
        var _this = _super.call(this, args) || this;
        _this._containerId = containerCount++;
        return _this;
    }
    CellContainer.prototype.render = function () {
        return (react_1.default.createElement(react_native_1.View, __assign({}, this.props),
            react_1.default.createElement(Pressable_1.Pressable, { onPress: function () { return console.log('sds'); } },
                react_1.default.createElement(react_native_1.View, null,
                    this.props.children,
                    react_1.default.createElement(react_native_1.Text, null,
                        "Cell Id: ",
                        this._containerId)))));
    };
    return CellContainer;
}(react_1.default.Component));
function rowRenderer(type, data) {
    switch (type) {
        case ViewTypes.HALF_LEFT:
            return (react_1.default.createElement(CellContainer, { style: styles.containerGridLeft },
                react_1.default.createElement(react_native_1.Text, null,
                    "Data: ",
                    data)));
        case ViewTypes.HALF_RIGHT:
            return (react_1.default.createElement(CellContainer, { style: styles.containerGridRight },
                react_1.default.createElement(react_native_1.Text, null,
                    "Data: ",
                    data)));
        case ViewTypes.FULL:
            return (react_1.default.createElement(CellContainer, { style: styles.container },
                react_1.default.createElement(react_native_1.Text, null,
                    "Data: ",
                    data)));
        default:
            return null;
    }
}
var styles = {
    container: {
        justifyContent: 'space-around',
        alignItems: 'center',
        flex: 1,
        backgroundColor: '#00a1f1',
    },
    containerGridLeft: {
        justifyContent: 'space-around',
        alignItems: 'center',
        flex: 1,
        backgroundColor: '#ffbb00',
    },
    containerGridRight: {
        justifyContent: 'space-around',
        alignItems: 'center',
        flex: 1,
        backgroundColor: '#7cbb00',
    },
};
//# sourceMappingURL=CustomFlatList.js.map