"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderListingContainer = void 0;
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var styled_components_1 = require("styled-components");
var NavigationBar_1 = require("../../../NavigationBar");
var native_1 = require("../../../Tabs/native");
var services_1 = require("../../../../services");
function HeaderListingContainer(props) {
    var _a;
    var onClickHeaderBtn = props.onClickHeaderBtn, tabs = props.tabs, tabsRef = props.tabsRef, navActions = props.navActions, scrollListingRef = props.scrollListingRef;
    var title = props.title, _b = props.textResourceSingular, textResourceSingular = _b === void 0 ? 'resultado' : _b, _c = props.textResourcePlural, textResourcePlural = _c === void 0 ? 'resultados' : _c, viewList = props.viewList;
    var resourcesTotal = viewList.resourcesTotal, searching = viewList.searching, starting = viewList.starting;
    var titlepage = title ||
        services_1.NumberFormat(resourcesTotal, 0) + " " + (resourcesTotal === 1 ? textResourceSingular : textResourcePlural) + " " + (resourcesTotal === 1 ? 'encontrado' : 'encontrados');
    var theme = styled_components_1.useTheme();
    theme.tabs = ((_a = theme === null || theme === void 0 ? void 0 : theme.PageListing) === null || _a === void 0 ? void 0 : _a.tabs) || {};
    theme.tabs.backgroundActiveColor = '#fff';
    theme.tabs.textActiveColor = '#000';
    return (react_1.default.createElement(react_native_1.View, { style: { backgroundColor: '#000' } },
        react_1.default.createElement(NavigationBar_1.NavigationBar, { title: titlepage }),
        tabs && (react_1.default.createElement(styled_components_1.ThemeProvider, { theme: theme },
            react_1.default.createElement(react_native_1.View, null,
                react_1.default.createElement(native_1.Tabs, __assign({}, tabs, { ref: tabsRef })))))));
}
exports.HeaderListingContainer = HeaderListingContainer;
//# sourceMappingURL=HeaderListingContainer.js.map