"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PageListing = void 0;
var react_1 = __importStar(require("react"));
var react_native_1 = require("react-native");
var RFValue_1 = require("../../RFValue");
var CardsListingContainer_1 = require("./CardsListingContainer");
var FiltersContainer_1 = require("./FiltersContainer");
var HeaderListingContainer_1 = require("./HeaderListingContainer");
var PageListing_style_1 = require("./PageListing.style");
var SubHeaderListingContainer_1 = require("./SubHeaderListingContainer");
var react_native_gesture_handler_1 = require("react-native-gesture-handler");
exports.PageListing = function (props) {
    var FiltersComponent = props.FiltersComponent, navActions = props.navActions, viewList = props.viewList;
    var registerOnSearch = viewList.registerOnSearch, starting = viewList.starting, filters = viewList.filters;
    var tabsSize = RFValue_1.RSValue(50);
    var navigationBarSize = RFValue_1.RSValue(55);
    var resultsSize = RFValue_1.RSValue(50);
    var _a = react_1.useState(RFValue_1.RSValue(0)), tagsFilterSize = _a[0], setTagsFilterSize = _a[1];
    var paddingScroll = tabsSize + navigationBarSize + resultsSize + tagsFilterSize;
    var navActionsSize = RFValue_1.RSValue(65);
    var animateScrollY = react_1.useRef(new react_native_1.Animated.Value(0)).current;
    var animatedNavActions = react_1.useRef(new react_native_1.Animated.Value(0)).current;
    var scrollTop = react_1.useRef(new react_native_1.Animated.Value(0)).current;
    var animateHeaderTranslateY = react_1.useRef(react_native_1.Animated.add(react_native_1.Animated.multiply(react_native_1.Animated.diffClamp(animateScrollY.interpolate({
        inputRange: [0, 1],
        outputRange: [0, 1],
        extrapolateLeft: 'clamp',
    }), 0, navigationBarSize + tabsSize), -1), scrollTop)).current;
    var changePos = react_1.useRef(false);
    react_1.useEffect(function () {
        registerOnSearch(function () {
            if (navActions) {
                navActions.onUnselectAll();
            }
        });
    }, []);
    react_1.useEffect(function () {
        animateScrollY.addListener(function (state) {
            console.log('sd', state);
            if (changePos.current) {
                changePos.current = false;
                animatedNavActions.setValue(1);
            }
        });
    }, []);
    react_1.useLayoutEffect(function () {
        if (navActions.selected) {
            scrollListingRef.current.scrollToOffset({
                animated: false,
                offset: scrollPosRef.current - paddingScroll + navActionsSize,
            });
            changePos.current = true;
        }
        else {
            react_native_1.Animated.timing(animatedNavActions, {
                toValue: 0,
                duration: 200,
                useNativeDriver: true,
            }).start();
        }
    }, [navActions.selected]);
    react_1.useLayoutEffect(function () {
    }, [filters]);
    var tabsRef = react_1.useRef();
    var formSortRef = react_1.useRef();
    var tagsFiltersRef = react_1.useRef();
    var scrollListingRef = react_1.useRef();
    var scrollPosRef = react_1.useRef();
    var FiltersContainerComponent = react_1.useMemo(function () { return FiltersContainer_1.FiltersContainer; }, [props.FiltersContainerComponent]);
    var _b = react_1.useState(false), filterMobileOpen = _b[0], setFilterMobileOpen = _b[1];
    var openFilters = react_1.useCallback(function () {
        setFilterMobileOpen(true);
    }, []);
    var closeFilters = react_1.useCallback(function () {
        setFilterMobileOpen(false);
    }, []);
    var propsChildren = __assign(__assign({}, props), { tabsRef: tabsRef,
        scrollListingRef: scrollListingRef,
        formSortRef: formSortRef,
        tagsFiltersRef: tagsFiltersRef,
        filterMobileOpen: filterMobileOpen,
        setFilterMobileOpen: setFilterMobileOpen,
        openFilters: openFilters,
        closeFilters: closeFilters,
        animateScrollY: animateScrollY,
        paddingScroll: paddingScroll,
        setTagsFilterSize: setTagsFilterSize,
        scrollPosRef: scrollPosRef,
        animatedNavActions: animatedNavActions });
    var animateScrollY2 = react_1.useRef(new react_native_1.Animated.Value(0)).current;
    var data = react_1.useState([0, 1, 2, 3, 4, 5, 6, 7])[0];
    var renderResourceSkeleton = props.renderResourceSkeleton;
    var keyExtractorSkeleton = react_1.useCallback(function (item, index) { return "card-skeleton-" + index; }, []);
    var renderItemFlatListSkeleton = react_1.useCallback(function (item) { return renderResourceSkeleton(item.item, item.index); }, [
        renderResourceSkeleton,
    ]);
    var animateHeaderTranslateY2 = react_1.useRef(react_native_1.Animated.add(react_native_1.Animated.multiply(react_native_1.Animated.diffClamp(animateScrollY2.interpolate({
        inputRange: [0, 1],
        outputRange: [0, 1],
        extrapolateLeft: 'clamp',
    }), 0, 10000), -1), scrollTop)).current;
    var panGestureHandlertranslateY = react_1.useRef(new react_native_1.Animated.Value(0)).current;
    var animatedEvent = react_native_1.Animated.event([
        {
            nativeEvent: {
                translationY: panGestureHandlertranslateY,
            },
        },
    ], {
        useNativeDriver: true,
    });
    var scrollY23 = react_1.useRef(0);
    var scrollY2 = react_1.useRef(0);
    var onHandlerStateChange = function (event) {
        var _a = event.nativeEvent, translationY = _a.translationY, velocityY = _a.velocityY, y = _a.y;
        scrollY23.current -= translationY;
        if (event.nativeEvent.oldState === react_native_gesture_handler_1.State.ACTIVE) {
            scrollY2.current -= scrollY23.current;
            console.log(scrollY2.current);
            if (scrollY2.current < 0) {
                scrollY2.current = 0;
            }
        }
    };
    react_1.useEffect(function () {
        panGestureHandlertranslateY.addListener(function (_a) {
            var _b;
            var value = _a.value;
            var b = scrollY2.current + value < 0 ? 0 : scrollY2.current + value;
            (_b = scrollListingRef === null || scrollListingRef === void 0 ? void 0 : scrollListingRef.current) === null || _b === void 0 ? void 0 : _b.scrollToOffset({
                animated: false,
                offset: b,
            });
        });
    }, []);
    return (react_1.default.createElement(react_native_gesture_handler_1.PanGestureHandler, { maxPointers: 1, onGestureEvent: animatedEvent, onHandlerStateChange: onHandlerStateChange },
        react_1.default.createElement(react_native_1.Animated.FlatList, { ref: scrollListingRef, data: data, scrollEventThrottle: 16, renderItem: renderItemFlatListSkeleton, keyExtractor: keyExtractorSkeleton, onScroll: react_native_1.Animated.event([{ nativeEvent: { contentOffset: { y: animateScrollY2 } } }], {
                useNativeDriver: true,
                listener: function (event) {
                },
            }) })));
    return (react_1.default.createElement(react_native_1.View, { style: { flex: 1 } },
        react_1.default.createElement(react_native_1.Animated.View, { style: {
                backgroundColor: 'white',
                height: navActions.selected
                    ? react_native_1.Dimensions.get('window').height
                    : react_native_1.Dimensions.get('window').height + paddingScroll - navActionsSize,
            } },
            react_1.default.createElement(FiltersContainer_1.FiltersContainer, __assign({}, propsChildren)),
            react_1.default.createElement(PageListing_style_1.HeaderSection, { style: {
                    transform: [
                        {
                            translateY: react_native_1.Animated.add(animateHeaderTranslateY, animatedNavActions.interpolate({
                                inputRange: [0, 1],
                                outputRange: [0, -paddingScroll],
                            })),
                        },
                    ],
                } },
                react_1.default.createElement(HeaderListingContainer_1.HeaderListingContainer, __assign({}, propsChildren)),
                react_1.default.createElement(SubHeaderListingContainer_1.SubHeaderListingContainer, __assign({}, propsChildren))),
            react_1.default.createElement(react_native_1.View, { style: { flex: 1 } },
                react_1.default.createElement(react_native_1.Animated.View, { style: {
                        flex: 1,
                        transform: [
                            {
                                translateY: animatedNavActions.interpolate({
                                    inputRange: [0, 1],
                                    outputRange: [0, -paddingScroll + navActionsSize],
                                }),
                            },
                        ],
                    } },
                    react_1.default.createElement(CardsListingContainer_1.CardsListingContainer, __assign({}, propsChildren)))))));
};
//# sourceMappingURL=PageListing.js.map