"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var react_native_1 = require("react-native");
var native_1 = require("@react-navigation/native");
var stack_1 = require("@react-navigation/stack");
var react_native_2 = require("@storybook/react-native");
var index_1 = require("../../../hooks/useSelectGroup/index");
var useViewList_1 = require("../../../hooks/useViewList");
var services_1 = require("../../../services");
var AppProvider_1 = require("../../AppProvider");
var index_2 = require("./__mocks__/index");
var CustomFlatList_1 = require("./CustomFlatList");
var PageListing_1 = require("./PageListing");
var Stack = stack_1.createStackNavigator();
react_native_2.storiesOf('Components/PageListing', module)
    .add('default', function () {
    function Component() {
        var viewList = useViewList_1.useViewList({
            filtersDefault: {
                name: 'John',
            },
            resolves: {
                items: index_2.resolveItems,
            },
        });
        var setFilters = viewList.setFilters;
        var tabs = {
            options: [
                {
                    id: 1,
                    name: 'AAA',
                },
                {
                    id: 2,
                    name: 'BBB',
                },
            ],
            onSelect: function (tab) { },
        };
        var tagsFilters = {
            filtersSchema: {
                name: {},
                location: {},
                address: {},
                price: {},
            },
            removeTag: function (key, value) {
                setFilters(function (draft) {
                    draft[key] = value;
                    draft = services_1.deleteEmpty(draft);
                });
            },
        };
        var _a = index_1.useSelectGroup(), onSelect = _a[0], onUnselectAll = _a[1], selected = _a[2], isSelected = _a[3];
        var navActions = {
            actions: [
                {
                    id: 'star',
                    item: react_1.default.createElement(react_native_1.View, null),
                    onPress: function () { },
                },
                {
                    id: 'unstar',
                    item: react_1.default.createElement(react_native_1.View, null),
                    onPress: function () { },
                },
                {
                    id: 'delete',
                    item: react_1.default.createElement(react_native_1.View, null),
                    onPress: function () { },
                },
            ],
            selected: selected.size,
            onUnselectAll: onUnselectAll,
        };
        var onSelectCard = react_1.useCallback(function onSelectCard(resource) {
            onSelect(resource.id, !isSelected(resource.id));
        }, []);
        var renderResourceSkeleton = react_1.useCallback(function (resource, i) { return react_1.default.createElement(index_2.Card, { property: resource, skeleton: true }); }, []);
        var renderResource = react_1.useCallback(function (resource, i) { return react_1.default.createElement(index_2.Card, { property: resource, onSelect: onSelectCard, selected: isSelected(resource.id) }); }, []);
        var data = react_1.useState(services_1.CreateRange(1000))[0];
        var keyExtractorSkeleton = react_1.useCallback(function (item, index) { return "card-skeleton-" + index; }, []);
        return react_1.default.createElement(CustomFlatList_1.CustomFlatList, { renderItem: renderResource, data: data, keyExtractor: keyExtractorSkeleton });
    }
    return (react_1.default.createElement(AppProvider_1.AppProvider, { initialData: {} },
        react_1.default.createElement(native_1.NavigationContainer, null,
            react_1.default.createElement(Stack.Navigator, { headerMode: "none" },
                react_1.default.createElement(Stack.Screen, { name: "HomeScreen", component: Component })),
            react_1.default.createElement(react_native_1.StatusBar, { backgroundColor: "#000" }))));
})
    .add('not found', function () {
    function Component() {
        var viewList = useViewList_1.useViewList({
            resolves: {
                items: index_2.resolveNotFound,
            },
        });
        var setFilters = viewList.setFilters;
        var tabs = {
            options: [
                {
                    id: 1,
                    name: 'AAA',
                },
                {
                    id: 2,
                    name: 'BBB',
                },
            ],
            onSelect: function (tab) { },
        };
        var _a = index_1.useSelectGroup(), onSelect = _a[0], onUnselectAll = _a[1], selected = _a[2], isSelected = _a[3];
        function onSelectCard(resource) {
            onSelect(resource.id, !isSelected(resource.id));
        }
        return (react_1.default.createElement(PageListing_1.PageListing, { viewList: viewList, tabs: tabs, textResourceSingular: "im\u00F3vel", textResourcePlural: "im\u00F3veis", FiltersComponent: index_2.Filters, renderResourceSkeleton: function (resource, i) { return react_1.default.createElement(index_2.Card, { property: resource, skeleton: true }); }, renderResource: function (resource, i) { return (react_1.default.createElement(index_2.Card, { property: resource, onSelect: onSelectCard, selected: isSelected(resource.id) })); } }));
    }
    return (react_1.default.createElement(AppProvider_1.AppProvider, { initialData: {} },
        react_1.default.createElement(native_1.NavigationContainer, null,
            react_1.default.createElement(Stack.Navigator, { headerMode: "none" },
                react_1.default.createElement(Stack.Screen, { name: "HomeScreen", component: Component })),
            react_1.default.createElement(react_native_1.StatusBar, { backgroundColor: "#000" }))));
})
    .add('error first load', function () {
    function Component() {
        var viewList = useViewList_1.useViewList({
            resolves: {
                items: index_2.resolveError,
            },
        });
        var setFilters = viewList.setFilters;
        var tabs = {
            options: [
                {
                    id: 1,
                    name: 'AAA',
                },
                {
                    id: 2,
                    name: 'BBB',
                },
            ],
            onSelect: function (tab) { },
        };
        var _a = index_1.useSelectGroup(), onSelect = _a[0], onUnselectAll = _a[1], selected = _a[2], isSelected = _a[3];
        function onSelectCard(resource) {
            onSelect(resource.id, !isSelected(resource.id));
        }
        return (react_1.default.createElement(PageListing_1.PageListing, { viewList: viewList, tabs: tabs, textResourceSingular: "im\u00F3vel", textResourcePlural: "im\u00F3veis", FiltersComponent: index_2.Filters, renderResourceSkeleton: function (resource, i) { return react_1.default.createElement(index_2.Card, { property: resource, skeleton: true }); }, renderResource: function (resource, i) { return (react_1.default.createElement(index_2.Card, { property: resource, onSelect: onSelectCard, selected: isSelected(resource.id) })); } }));
    }
    return (react_1.default.createElement(AppProvider_1.AppProvider, { initialData: {} },
        react_1.default.createElement(native_1.NavigationContainer, null,
            react_1.default.createElement(Stack.Navigator, { headerMode: "none" },
                react_1.default.createElement(Stack.Screen, { name: "HomeScreen", component: Component })),
            react_1.default.createElement(react_native_1.StatusBar, { backgroundColor: "#000" }))));
});
//# sourceMappingURL=PageListing.stories.native.js.map