"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Card = exports.resolveError = exports.resolveNotFound = exports.resolveItems = exports.Filters = void 0;
var react_1 = __importStar(require("react"));
var react_native_1 = require("react-native");
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var react_native_fontawesome_1 = require("@fortawesome/react-native-fontawesome");
var mobile_1 = require("@unform/mobile");
var _ = __importStar(require("lodash"));
var rxjs_1 = require("rxjs");
var services_1 = require("../../../../services");
var ITheme_1 = require("../../../AppProvider/ITheme");
var native_1 = require("../../../FadeIn/native");
var native_2 = require("../../../Flex/native");
var native_3 = require("../../../Input/native");
var Pressable_1 = require("../../../Pressable");
var RFValue_1 = require("../../../RFValue");
var TextNative_1 = require("../../../TextNative");
var property1_jpg_1 = __importDefault(require("./images/property1.jpg"));
var property2_jpg_1 = __importDefault(require("./images/property2.jpg"));
var property3_jpg_1 = __importDefault(require("./images/property3.jpg"));
var property4_jpg_1 = __importDefault(require("./images/property4.jpg"));
var property5_jpg_1 = __importDefault(require("./images/property5.jpg"));
var property6_jpg_1 = __importDefault(require("./images/property6.jpg"));
exports.Filters = react_1.default.memo(function Filters(_a) {
    var handleFilters = _a.handleFilters, filters = _a.filters, formRef = _a.formRef;
    var _b = react_1.useState(configureForm(filters)), initialData = _b[0], setInitialData = _b[1];
    function configureForm(_filters) {
        var filtersAux = __assign({}, _filters);
        return filtersAux;
    }
    react_1.useEffect(function () {
        formRef.current.reset();
        formRef.current.setData(configureForm(filters));
    }, [filters]);
    function onSubmit(_filters) {
        var filtersAux = __assign({}, _filters);
        handleFilters(services_1.deleteEmpty(filtersAux));
    }
    return (react_1.default.createElement(react_native_1.View, { style: { padding: 15 } },
        react_1.default.createElement(mobile_1.Form, { onSubmit: onSubmit, ref: formRef, initialData: initialData },
            react_1.default.createElement(native_3.Input, { name: "id", title: "ID" }),
            react_1.default.createElement(native_3.Input, { name: "location", title: "Localiza\u00E7\u00E3o" }),
            react_1.default.createElement(native_3.Input, { name: "address", title: "Endere\u00E7o" }),
            react_1.default.createElement(native_3.Input, { name: "price", title: "Pre\u00E7o" }))));
}, _.isEqual);
exports.resolveItems = function (params) {
    return new rxjs_1.Observable(function (subscriber) {
        setTimeout(function () {
            subscriber.next({
                results: [
                    {
                        id: parseInt(((params === null || params === void 0 ? void 0 : params.offset) || 0), 10) + 1,
                        image: property1_jpg_1.default,
                    },
                    {
                        id: parseInt(((params === null || params === void 0 ? void 0 : params.offset) || 0), 10) + 2,
                        image: property2_jpg_1.default,
                    },
                    {
                        id: parseInt(((params === null || params === void 0 ? void 0 : params.offset) || 0), 10) + 3,
                        image: property3_jpg_1.default,
                    },
                    {
                        id: parseInt(((params === null || params === void 0 ? void 0 : params.offset) || 0), 10) + 4,
                        image: property4_jpg_1.default,
                    },
                    {
                        id: parseInt(((params === null || params === void 0 ? void 0 : params.offset) || 0), 10) + 5,
                        image: property5_jpg_1.default,
                    },
                    {
                        id: parseInt(((params === null || params === void 0 ? void 0 : params.offset) || 0), 10) + 6,
                        image: property6_jpg_1.default,
                    },
                ],
                count: 120200,
            });
            subscriber.complete();
            subscriber.unsubscribe();
        }, 800);
    });
};
exports.resolveNotFound = function (params) {
    return new rxjs_1.Observable(function (subscriber) {
        setTimeout(function () {
            subscriber.next({
                results: [],
                count: 0,
            });
            subscriber.complete();
            subscriber.unsubscribe();
        }, 800);
    });
};
exports.resolveError = function (params) {
    return new rxjs_1.Observable(function (subscriber) {
        setTimeout(function () {
            subscriber.error({});
            subscriber.complete();
            subscriber.unsubscribe();
        }, 800);
    });
};
exports.Card = react_1.default.memo(function Card(_a) {
    var _b = _a.skeleton, skeleton = _b === void 0 ? false : _b, _c = _a.selected, selected = _c === void 0 ? false : _c, onSelect = _a.onSelect, _d = _a.property, property = _d === void 0 ? {} : _d;
    return (react_1.default.createElement(native_1.FadeIn, null,
        react_1.default.createElement(Pressable_1.Pressable, { onLongPress: function () { return onSelect(property); }, onPress: function () { return onSelect(property); }, ripple: true },
            react_1.default.createElement(react_native_1.View, { style: { padding: RFValue_1.RSValue(10), opacity: !selected ? 1.0 : 0.4 } },
                react_1.default.createElement(react_native_1.Image, { source: property.image, style: {
                        resizeMode: 'cover',
                        width: '100%',
                        height: RFValue_1.RSValue(150),
                        borderRadius: RFValue_1.RSValue(20),
                        backgroundColor: '#ddd',
                    } }),
                react_1.default.createElement(react_native_1.View, { style: { paddingTop: RFValue_1.RSValue(5), flexDirection: 'row' } },
                    react_1.default.createElement(native_2.Flex, { flex: 1, justifyContent: "center" },
                        react_1.default.createElement(TextNative_1.TextNative, { size: 13, style: {
                                backgroundColor: skeleton ? '#eee' : 'transparent',
                                color: skeleton ? 'transparent' : '#888',
                            } }, "The Rose Hill District")),
                    react_1.default.createElement(native_2.Flex, null,
                        react_1.default.createElement(TextNative_1.TextNative, { size: 16, color: !skeleton ? ITheme_1.themeDefault.primary : 'transparent', bold: true, style: { backgroundColor: skeleton ? ITheme_1.themeDefault.primary : 'transparent' } }, "R$120.000.000"))),
                react_1.default.createElement(react_native_1.View, { style: { paddingTop: RFValue_1.RSValue(3), flexDirection: 'row' } },
                    react_1.default.createElement(native_2.Flex, { flex: 1, justifyContent: "center" },
                        react_1.default.createElement(TextNative_1.TextNative, { size: 12, color: skeleton ? 'transparent' : '#888', style: {
                                backgroundColor: skeleton ? '#eee' : 'transparent',
                            } },
                            !skeleton && react_1.default.createElement(react_native_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faLocationArrow, size: RFValue_1.RSValue(10), color: "#444" }),
                            "JL. Amarto, Seturan, Caturtunggal")))))));
}, function (o, n) {
    return _.isEqual(o, n);
});
//# sourceMappingURL=index.js.map