"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var react_native_1 = require("react-native");
var react_native_2 = require("@testing-library/react-native");
var mobile_1 = require("@unform/mobile");
var _1 = require(".");
var items = [
    { name: 'Eren', id: 'Eren' },
    { name: 'Levi', id: 'Levi' },
    { name: 'Rainer', id: 'Rainer' },
    { name: 'Falco', id: 'Falco' },
];
it('snapshot - default', function () {
    var _a = react_native_2.render(react_1.default.createElement(mobile_1.Form, { onSubmit: function () { } },
        react_1.default.createElement(_1.Select, { name: "default", items: items }))), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - with title', function () {
    function Component() {
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function () { } },
            react_1.default.createElement(_1.Select, { name: "default", items: items, title: "Characters" })));
    }
    var toJSON = react_native_2.render(react_1.default.createElement(Component, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - with initial value', function () {
    function Component() {
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function () { }, initialData: { default: 'Falco' } },
            react_1.default.createElement(_1.Select, { name: "default", items: items, title: "Characters" })));
    }
    var toJSON = react_native_2.render(react_1.default.createElement(Component, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - with error', function () {
    function Component() {
        var formRef = react_1.useRef(null);
        react_1.useEffect(function () {
            formRef.current.setFieldError('default', 'Field Invalid');
        }, []);
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function () { }, ref: formRef },
            react_1.default.createElement(_1.Select, { name: "default", items: items, title: "Characters" })));
    }
    var _a = react_native_2.render(react_1.default.createElement(Component, null)), toJSON = _a.toJSON, queryByTestId = _a.queryByTestId;
    expect(toJSON()).toMatchSnapshot();
    expect(queryByTestId('select-error')).not.toBeNull();
});
it('snapshot - select value', function () {
    var onSubmit = jest.fn();
    function Component() {
        var formRef = react_1.useRef(null);
        react_1.useEffect(function () {
            formRef.current.setFieldError('default', 'Field Invalid');
        }, []);
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function (data) { return onSubmit(data); }, ref: formRef },
            react_1.default.createElement(_1.Select, { name: "default", items: items, title: "Characters" }),
            react_1.default.createElement(react_native_1.Button, { testID: "submit", title: "Submit", onPress: function () {
                    formRef.current.submitForm();
                } })));
    }
    var _a = react_native_2.render(react_1.default.createElement(Component, null)), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
    react_native_2.fireEvent.press(getByTestId('select'));
    react_native_2.fireEvent.press(getByTestId('option-Falco'));
    react_native_2.fireEvent.press(getByTestId('submit'));
    expect(onSubmit).toHaveBeenCalled();
    expect(onSubmit).toHaveBeenCalledWith({
        default: 'Falco',
    });
});
it('snapshot - submit on initial value [name]', function () {
    var onSubmit = jest.fn();
    function Component() {
        var formRef = react_1.useRef(null);
        react_1.useEffect(function () {
            formRef.current.setFieldError('default', 'Field Invalid');
        }, []);
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function (data) { return onSubmit(data); }, initialData: { default: 'Falco' }, ref: formRef },
            react_1.default.createElement(_1.Select, { name: "default", items: items, title: "Characters" }),
            react_1.default.createElement(react_native_1.Button, { testID: "submit", title: "Submit", onPress: function () {
                    formRef.current.submitForm();
                } })));
    }
    var _a = react_native_2.render(react_1.default.createElement(Component, null)), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
    react_native_2.fireEvent.press(getByTestId('submit'));
    expect(onSubmit).toHaveBeenCalled();
    expect(onSubmit).toHaveBeenCalledWith({
        default: 'Falco',
    });
});
it('snapshot - submit on initial value with object', function () {
    var onSubmit = jest.fn();
    var itemsW = [
        { name: 'Eren', id: 'Eren', value: { name: 'Eren' } },
        { name: 'Levi', id: 'Levi', value: { name: 'Levi' } },
        { name: 'Rainer', id: 'Rainer', value: { name: 'Rainer' } },
        { name: 'Falco', id: 'Falco', value: { name: 'Falco' } },
    ];
    function Component() {
        var formRef = react_1.useRef(null);
        react_1.useEffect(function () {
            formRef.current.setFieldError('default', 'Field Invalid');
        }, []);
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function (data) { return onSubmit(data); }, initialData: { default: { name: 'Falco' } }, ref: formRef },
            react_1.default.createElement(_1.Select, { name: "default", items: itemsW, title: "Characters" }),
            react_1.default.createElement(react_native_1.Button, { testID: "submit", title: "Submit", onPress: function () {
                    formRef.current.submitForm();
                } })));
    }
    var _a = react_native_2.render(react_1.default.createElement(Component, null)), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
    react_native_2.fireEvent.press(getByTestId('submit'));
    expect(onSubmit).toHaveBeenCalled();
    expect(onSubmit).toHaveBeenCalledWith({
        default: { name: 'Falco' },
    });
});
it('snapshot - submit on initial value not found', function () {
    var onSubmit = jest.fn();
    var itemsW = [
        { name: 'Eren', id: 'Eren', value: { name: 'Eren' } },
        { name: 'Levi', id: 'Levi', value: { name: 'Levi' } },
        { name: 'Rainer', id: 'Rainer', value: { name: 'Rainer' } },
        { name: 'Falco', id: 'Falco', value: { name: 'Falco' } },
    ];
    function Component() {
        var formRef = react_1.useRef(null);
        react_1.useEffect(function () {
            formRef.current.setFieldError('default', 'Field Invalid');
        }, []);
        return (react_1.default.createElement(mobile_1.Form, { onSubmit: function (data) { return onSubmit(data); }, initialData: { default: { name: 'Falco2' } }, ref: formRef },
            react_1.default.createElement(_1.Select, { name: "default", items: itemsW, title: "Characters" }),
            react_1.default.createElement(react_native_1.Button, { testID: "submit", title: "Submit", onPress: function () {
                    formRef.current.submitForm();
                } })));
    }
    var _a = react_native_2.render(react_1.default.createElement(Component, null)), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
    react_native_2.fireEvent.press(getByTestId('submit'));
    expect(onSubmit).toHaveBeenCalled();
    expect(onSubmit).toHaveBeenCalledWith({
        default: null,
    });
});
//# sourceMappingURL=Select.spec.native.js.map