"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_native_1 = require("@testing-library/react-native");
var _1 = require(".");
var optionsTabs = [
    {
        id: 1,
        name: 'AAA',
    },
    {
        id: 2,
        name: 'BBB',
    },
    {
        id: 3,
        name: 'CCC',
    },
    {
        id: 4,
        name: 'DDD',
    },
];
it('renderizar padrão', function () {
    var _a = react_native_1.render(react_1.default.createElement(_1.Tabs, { options: optionsTabs, onSelect: function () { } })), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
});
it('renderizar com skeleton', function () {
    var _a = react_native_1.render(react_1.default.createElement(_1.Tabs, { options: optionsTabs, onSelect: function () { }, skeleton: true })), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
});
it('renderizar com valor defaultTab', function () {
    var _a = react_native_1.render(react_1.default.createElement(_1.Tabs, { options: optionsTabs, onSelect: function () { }, defaultTab: 3 })), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    expect(toJSON()).toMatchSnapshot();
});
it('renderizar com valor click', function () {
    var _a = react_native_1.render(react_1.default.createElement(_1.Tabs, { options: optionsTabs, onSelect: function () { } })), toJSON = _a.toJSON, getByTestId = _a.getByTestId;
    react_native_1.fireEvent.press(getByTestId('tab-2'));
    expect(toJSON()).toMatchSnapshot();
});
it('testar onClick', function (done) {
    function handleClick(tab) {
        expect(tab).toEqual({ id: 2, name: 'BBB' });
        done();
    }
    var getByTestId = react_native_1.render(react_1.default.createElement(_1.Tabs, { options: optionsTabs, onSelect: handleClick })).getByTestId;
    react_native_1.fireEvent.press(getByTestId('tab-1'));
});
it('testar ref setTab', function () {
    var ref = react_1.default.createRef();
    var getByTestId = react_native_1.render(react_1.default.createElement(_1.Tabs, { options: optionsTabs, onSelect: function () { }, ref: ref })).getByTestId;
    expect(getByTestId('tab-0').props.selected).toBeTruthy();
    expect(getByTestId('tab-1').props.selected).toBeFalsy();
    expect(getByTestId('tab-2').props.selected).toBeFalsy();
    expect(getByTestId('tab-3').props.selected).toBeFalsy();
    react_native_1.act(function () {
        ref.current.setTab(4);
    });
    expect(getByTestId('tab-0').props.selected).toBeFalsy();
    expect(getByTestId('tab-1').props.selected).toBeFalsy();
    expect(getByTestId('tab-2').props.selected).toBeFalsy();
    expect(getByTestId('tab-3').props.selected).toBeTruthy();
});
//# sourceMappingURL=Tabs.spec.native.js.map