"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var react_native_1 = require("@testing-library/react-native");
require("jest-styled-components");
var _1 = require(".");
var services_1 = require("../../../services");
it('snapshot - tag text', function () {
    function MockComponent() {
        var filtersSchema = {
            id: {
                prefix: 'ID. ',
            },
        };
        var _a = react_1.useState({
            id: 1200,
            status: "featured",
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag });
    }
    var toJSON = react_native_1.render(react_1.default.createElement(MockComponent, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - tag select', function () {
    function MockComponent() {
        var filtersSchema = {
            select: {
                type: _1.ETagFilterType.Select,
                values: {
                    select1: 'Select One',
                    select2: 'Select Two',
                },
            },
        };
        var _a = react_1.useState({
            select: 'select1',
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag });
    }
    var toJSON = react_native_1.render(react_1.default.createElement(MockComponent, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - tag location', function () {
    function MockComponent() {
        var filtersSchema = {
            location: {
                type: _1.ETagFilterType.Location,
            },
        };
        var _a = react_1.useState({
            location: 'SP, São Paulo,São Miguel Paulista_RJ,Vila Mimosa',
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag });
    }
    var toJSON = react_native_1.render(react_1.default.createElement(MockComponent, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - tag checkbox', function () {
    function MockComponent() {
        var filtersSchema = {
            checkbox: {
                type: _1.ETagFilterType.CheckBox,
                values: {
                    select1: 'Select One',
                    select2: 'Select Two',
                },
            },
        };
        var _a = react_1.useState({
            checkbox: ['select1', 'select2'],
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag });
    }
    var toJSON = react_native_1.render(react_1.default.createElement(MockComponent, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - tag price', function () {
    function MockComponent() {
        var filtersSchema = {
            price: {
                type: _1.ETagFilterType.InputPrice,
                decimals: 2,
            },
        };
        var _a = react_1.useState({
            price: [100.02],
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag });
    }
    var toJSON = react_native_1.render(react_1.default.createElement(MockComponent, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - tag date', function () {
    function MockComponent() {
        var filtersSchema = {
            date: {
                type: _1.ETagFilterType.Date,
            },
        };
        var _a = react_1.useState({
            date: '2014-01-24',
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag });
    }
    var toJSON = react_native_1.render(react_1.default.createElement(MockComponent, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - tag date with format', function () {
    function MockComponent() {
        var filtersSchema = {
            date: {
                type: _1.ETagFilterType.Date,
                format: 'dd MMM yyyy',
            },
        };
        var _a = react_1.useState({
            date: '2014-01-24',
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag });
    }
    var toJSON = react_native_1.render(react_1.default.createElement(MockComponent, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - tag number', function () {
    function MockComponent() {
        var filtersSchema = {
            number: {
                type: _1.ETagFilterType.InputPrice,
                decimals: 4,
            },
        };
        var _a = react_1.useState({
            number: [10000.02],
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag });
    }
    var toJSON = react_native_1.render(react_1.default.createElement(MockComponent, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - tag suffix', function () {
    function MockComponent() {
        var filtersSchema = {
            text: {
                suffix: ' m²',
            },
        };
        var _a = react_1.useState({
            text: 1200,
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag });
    }
    var toJSON = react_native_1.render(react_1.default.createElement(MockComponent, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - with tag default', function () {
    function MockComponent() {
        var filtersSchema = {
            defaultText: {
                default: 'default',
            },
        };
        var _a = react_1.useState({
            defaultText: 'default',
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag });
    }
    var toJSON = react_native_1.render(react_1.default.createElement(MockComponent, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - with tag value ignore', function () {
    function MockComponent() {
        var filtersSchema = {
            ignoreText: {
                ignore: ['ignore'],
            },
        };
        var _a = react_1.useState({
            ignoreText: 'ignore',
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag });
    }
    var toJSON = react_native_1.render(react_1.default.createElement(MockComponent, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('snapshot - with tag value not ignored', function () {
    function MockComponent() {
        var filtersSchema = {
            ignoreText: {
                ignore: ['ignore'],
            },
        };
        var _a = react_1.useState({
            ignoreText: 'non-ignore',
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag });
    }
    var toJSON = react_native_1.render(react_1.default.createElement(MockComponent, null)).toJSON;
    expect(toJSON()).toMatchSnapshot();
});
it('testar removeTag', function () {
    function MockComponent() {
        var filtersSchema = {
            ignoreText: {
                ignore: ['ignore'],
            },
        };
        var _a = react_1.useState({
            ignoreText: 'non-ignore',
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag });
    }
    var _a = react_native_1.render(react_1.default.createElement(MockComponent, null)), queryByText = _a.queryByText, getByTestId = _a.getByTestId;
    expect(queryByText('non-ignore')).not.toBeNull();
    react_native_1.fireEvent.press(getByTestId('tag-non-ignore'));
    expect(queryByText('non-ignore')).toBeNull();
});
//# sourceMappingURL=TagsFilters.spec.native.js.map