"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var react_native_1 = require("react-native");
var react_native_2 = require("@storybook/react-native");
var _1 = require(".");
var services_1 = require("../../../services");
react_native_2.storiesOf('Components/TagsFilters', module)
    .add('simple tag', function () {
    function Stub() {
        var filtersSchema = {
            id: {
                prefix: 'ID. ',
            },
        };
        var _a = react_1.useState({
            id: 1200,
            status: "featured",
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return (react_1.default.createElement(react_native_1.View, { style: { padding: 10 } },
            react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag })));
    }
    return react_1.default.createElement(Stub, null);
})
    .add('filter select', function () {
    function Stub() {
        var filtersSchema = {
            select: {
                type: _1.ETagFilterType.Select,
                values: {
                    select1: 'Select One',
                    select2: 'Select Two',
                },
            },
        };
        var _a = react_1.useState({
            select: 'select1',
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return (react_1.default.createElement(react_native_1.View, { style: { padding: 10 } },
            react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag })));
    }
    return react_1.default.createElement(Stub, null);
})
    .add('filter location', function () {
    function Stub() {
        var filtersSchema = {
            location: {
                type: _1.ETagFilterType.Location,
            },
        };
        var _a = react_1.useState({
            location: 'SP, São Paulo,São Miguel Paulista_RJ,Vila Mimosa',
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return (react_1.default.createElement(react_native_1.View, { style: { padding: 10 } },
            react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag })));
    }
    return react_1.default.createElement(Stub, null);
})
    .add('filter checkbox', function () {
    function Stub() {
        var filtersSchema = {
            checkbox: {
                type: _1.ETagFilterType.CheckBox,
                values: {
                    select1: 'Select One',
                    select2: 'Select Two',
                },
            },
        };
        var _a = react_1.useState({
            checkbox: ['select1', 'select2'],
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return (react_1.default.createElement(react_native_1.View, { style: { padding: 10 } },
            react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag })));
    }
    return react_1.default.createElement(Stub, null);
})
    .add('filter price', function () {
    function Stub() {
        var filtersSchema = {
            price: {
                type: _1.ETagFilterType.InputPrice,
                decimals: 2,
            },
        };
        var _a = react_1.useState({
            price: [100.02],
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return (react_1.default.createElement(react_native_1.View, { style: { padding: 10 } },
            react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag })));
    }
    return react_1.default.createElement(Stub, null);
})
    .add('filter number', function () {
    function Stub() {
        var filtersSchema = {
            number: {
                type: _1.ETagFilterType.InputPrice,
                decimals: 4,
            },
        };
        var _a = react_1.useState({
            number: [10000.02],
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return (react_1.default.createElement(react_native_1.View, { style: { padding: 10 } },
            react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag })));
    }
    return react_1.default.createElement(Stub, null);
})
    .add('filter date', function () {
    function Stub() {
        var filtersSchema = {
            date: {
                type: _1.ETagFilterType.Date,
            },
        };
        var _a = react_1.useState({
            date: '2014-01-24',
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return (react_1.default.createElement(react_native_1.View, { style: { padding: 10 } },
            react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag })));
    }
    return react_1.default.createElement(Stub, null);
})
    .add('filter date format', function () {
    function Stub() {
        var filtersSchema = {
            date: {
                type: _1.ETagFilterType.Date,
                format: 'dd MMM yyyy',
            },
        };
        var _a = react_1.useState({
            date: '2014-01-24',
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return (react_1.default.createElement(react_native_1.View, { style: { padding: 10 } },
            react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag })));
    }
    return react_1.default.createElement(Stub, null);
})
    .add('suffix', function () {
    function Stub() {
        var filtersSchema = {
            text: {
                suffix: ' m²',
            },
        };
        var _a = react_1.useState({
            text: 1200,
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return (react_1.default.createElement(react_native_1.View, { style: { padding: 10 } },
            react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag })));
    }
    return react_1.default.createElement(Stub, null);
})
    .add('prefix', function () {
    function Stub() {
        var filtersSchema = {
            prefix: {
                prefix: 'R$ ',
            },
        };
        var _a = react_1.useState({
            prefix: 1200,
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return (react_1.default.createElement(react_native_1.View, { style: { padding: 10 } },
            react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag })));
    }
    return react_1.default.createElement(Stub, null);
})
    .add('default value', function () {
    function Stub() {
        var filtersSchema = {
            defaultText: {
                default: 'default',
            },
        };
        var _a = react_1.useState({
            defaultText: 'default',
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return (react_1.default.createElement(react_native_1.View, { style: { padding: 10 } },
            react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag })));
    }
    return react_1.default.createElement(Stub, null);
})
    .add('ignore value', function () {
    function Stub() {
        var filtersSchema = {
            ignoreText: {
                ignore: ['ignore'],
            },
        };
        var _a = react_1.useState({
            ignoreText: 'ignore',
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return (react_1.default.createElement(react_native_1.View, { style: { padding: 10 } },
            react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag })));
    }
    return react_1.default.createElement(Stub, null);
})
    .add('ignore without value ignore', function () {
    function Stub() {
        var filtersSchema = {
            ignoreText: {
                ignore: ['ignore'],
            },
        };
        var _a = react_1.useState({
            ignoreText: 'non-ignore',
        }), filters = _a[0], setFilters = _a[1];
        var removeTag = function (key, value) {
            var newFilters = __assign({}, filters);
            newFilters[key] = value;
            setFilters(services_1.deleteEmpty(newFilters));
        };
        return (react_1.default.createElement(react_native_1.View, { style: { padding: 10 } },
            react_1.default.createElement(_1.TagsFilters, { filtersSchema: filtersSchema, filters: filters, removeTag: removeTag })));
    }
    return react_1.default.createElement(Stub, null);
});
//# sourceMappingURL=TagsFilters.stories.native.js.map